package query

import (
	"context"
	"gd_adm_data/apis"
	"gd_adm_data/errors"
	"gd_adm_data/model"

	"github.com/json-iterator/go"

	"git.getensh.com/common/gopkgsv2/database"
)

type x01Request struct {
	DegreeId string `json:"degree_id"`
	Name     string `json:"name"`
}

// 学位
func X01(ctx context.Context, params string) (reply *apis.QueryResponse, err error) {
	reply = &apis.QueryResponse{}

	var req x01Request
	err = jsoniter.UnmarshalFromString(params, &req)
	if err != nil {
		return nil, errors.ParamsError
	}

	if req.DegreeId == "" || req.Name == "" {
		return nil, errors.ParamsError
	}

	dws24 := &model.Dws24{}
	err = dws24.Query(database.DB(), map[string]interface{}{"degree_id": req.DegreeId, "name": req.Name})
	if err != nil {
		return nil, errors.DataNotExistError
	}

	a01Str, _ := jsoniter.MarshalToString(*dws24)
	a01Map := make(map[string]interface{})
	jsoniter.Unmarshal([]byte(a01Str), &a01Map)
	reply.Data, _ = jsoniter.MarshalToString(a01Map)
	return reply, nil
}
