package query

import (
	"context"
	"gd_adm_data/apis"
	"gd_adm_data/errors"
	"gd_adm_data/model"

	"github.com/json-iterator/go"

	"git.getensh.com/common/gopkgsv2/database"
)

type x02Request struct {
	EducationId string `json:"education_id"`
	Name        string `json:"name"`
}

// 学历
func X02(ctx context.Context, params string) (reply *apis.QueryResponse, err error) {
	reply = &apis.QueryResponse{}

	var req x02Request
	err = jsoniter.UnmarshalFromString(params, &req)
	if err != nil {
		return nil, errors.ParamsError
	}

	if req.EducationId == "" || req.Name == "" {
		return nil, errors.ParamsError
	}

	dws25 := &model.Dws25{}
	err = dws25.Query(database.DB(), map[string]interface{}{"education_id": req.EducationId, "name": req.Name})
	if err != nil {
		return nil, errors.DataNotExistError
	}

	a02Str, _ := jsoniter.MarshalToString(*dws25)
	a02Map := make(map[string]interface{})
	jsoniter.Unmarshal([]byte(a02Str), &a02Map)
	reply.Data, _ = jsoniter.MarshalToString(a02Map)
	return reply, nil
}
