package query

import (
	"context"
	"gd_adm_data/apis"
	"gd_adm_data/errors"
	"gd_adm_data/model"

	"github.com/json-iterator/go"

	"git.getensh.com/common/gopkgsv2/database"
)

type x03Request struct {
	IdCard string `json:"id_card"`
	Name   string `json:"name"`
}

// 学历
func X03(ctx context.Context, params string) (reply *apis.QueryResponse, err error) {
	reply = &apis.QueryResponse{}

	var req x03Request
	err = jsoniter.UnmarshalFromString(params, &req)
	if err != nil {
		return nil, errors.ParamsError
	}

	if req.IdCard == "" || req.Name == "" {
		return nil, errors.ParamsError
	}

	dws26 := &model.Dws26{}
	dws26List := []model.Dws26{}
	err = dws26.QueryAll(database.DB(), map[string]interface{}{"id_card": req.IdCard, "name": req.Name}, &dws26List)
	if err != nil {
		return nil, errors.DataNotExistError
	}

	a03Str, _ := jsoniter.MarshalToString(dws26List)
	reply.Data = a03Str
	return reply, nil
}
